Bug 207951 - [MAINTAINER] dns/nsd: update to 4.1.8
Summary: [MAINTAINER] dns/nsd: update to 4.1.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-13 14:14 UTC by Jaap Akkerhuis
Modified: 2016-03-15 16:55 UTC (History)
2 users (show)

See Also:


Attachments
Patch to update (755 bytes, patch)
2016-03-13 14:14 UTC, Jaap Akkerhuis
no flags Details | Diff
proposed patch for nsd-4.1.8 (1.89 KB, patch)
2016-03-13 19:59 UTC, Olli Hauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaap Akkerhuis 2016-03-13 14:14:48 UTC
Created attachment 168089 [details]
Patch to update

FEATURES:
- #732: tcp-mss, outgoing-tcp-mss options for nsd.conf, patch
  from Daisuke Higashi.
- #739: zonefile changes when mtime is small are detected on reload,
  if filesystem supports precision mtime values.
- RR type CSYNC (RFC7477) syntax is supported.

BUG FIXES:
- take advantage of arc4random_uniform if available, patch from
  Loganaden Velvindron.
- Fix flto check for OSX clang.
- Define _DEFAULT_SOURCE with _BSD_SOURCE for glibc 2.20 on Linux.
- Fix #736: segfault during zone transfer.
- Fix #744: Fix that NSD replies for configured but unloaded zone
  with SERVFAIL, not REFUSED.
Comment 1 Olli Hauer freebsd_committer 2016-03-13 19:59:51 UTC
Created attachment 168108 [details]
proposed patch for nsd-4.1.8

Hi Jaap,

is it OK for you if I commit the new patch.

In short it does the following:
- update to 4.1.8
- add ability to build agains openssl or libressl from ports
- add MUNIN_PLUGIN_IMPLIES= BIND8_STATS
- use @sample macro in pkg-plist for nsd.conf
- respect ports/CHANGES 20150926: s/exec/postexec/ in pkg-plist
Comment 2 Jaap Akkerhuis 2016-03-13 22:13:33 UTC
(In reply to Olli Hauer from comment #1)

Olli,

Something terrible went wrong. I sent an old patch instead of the intended. Please wit until I sent a new patch
Comment 3 Jaap Akkerhuis 2016-03-13 22:32:14 UTC
(In reply to Olli Hauer from comment #1)(In reply to jaap from comment #2)

It seems the comments to the bug fixes for nsd and unbound updates got mixed (and I had earlier made the same adjustment for OPENSSLBASE as you did, but it somehow disappeared. So yes, go ahead with this patch.

Thanks!

        jaap
Comment 4 commit-hook freebsd_committer 2016-03-14 06:59:38 UTC
A commit references this bug:

Author: ohauer
Date: Mon Mar 14 06:59:15 UTC 2016
New revision: 411048
URL: https://svnweb.freebsd.org/changeset/ports/411048

Log:
  - update to 4.1.8
  - add ability to build agains openssl or libressl from ports
  - add MUNIN_PLUGIN_IMPLIES= BIND8_STATS
  - use @sample macro in pkg-plist for nsd.conf
  - s/exec/postexec/ pkg-plist

  FEATURES:
  - #732: tcp-mss, outgoing-tcp-mss options for nsd.conf, patch
    from Daisuke Higashi.
  - #739: zonefile changes when mtime is small are detected on reload,
    if filesystem supports precision mtime values.
  - RR type CSYNC (RFC7477) syntax is supported.

  BUG FIXES:
  - take advantage of arc4random_uniform if available, patch from
    Loganaden Velvindron.
  - Fix flto check for OSX clang.
  - Define _DEFAULT_SOURCE with _BSD_SOURCE for glibc 2.20 on Linux.
  - Fix #736: segfault during zone transfer.
  - Fix #744: Fix that NSD replies for configured but unloaded zone
    with SERVFAIL, not REFUSED.

  PR:		207951
  Submitted by:	jaap@NLnetLabs.nl (maintainer)
  MFH:		2016Q1

Changes:
  head/dns/nsd/Makefile
  head/dns/nsd/distinfo
  head/dns/nsd/pkg-plist
Comment 5 Olli Hauer freebsd_committer 2016-03-14 07:08:03 UTC
Committed
Comment 6 commit-hook freebsd_committer 2016-03-15 16:55:06 UTC
A commit references this bug:

Author: ohauer
Date: Tue Mar 15 16:54:18 UTC 2016
New revision: 411191
URL: https://svnweb.freebsd.org/changeset/ports/411191

Log:
  MFH: r411048

  - update to 4.1.8
  - add ability to build agains openssl or libressl from ports
  - add MUNIN_PLUGIN_IMPLIES= BIND8_STATS
  - use @sample macro in pkg-plist for nsd.conf
  - s/exec/postexec/ pkg-plist

  FEATURES:
  - #732: tcp-mss, outgoing-tcp-mss options for nsd.conf, patch
    from Daisuke Higashi.
  - #739: zonefile changes when mtime is small are detected on reload,
    if filesystem supports precision mtime values.
  - RR type CSYNC (RFC7477) syntax is supported.

  BUG FIXES:
  - take advantage of arc4random_uniform if available, patch from
    Loganaden Velvindron.
  - Fix flto check for OSX clang.
  - Define _DEFAULT_SOURCE with _BSD_SOURCE for glibc 2.20 on Linux.
  - Fix #736: segfault during zone transfer.
  - Fix #744: Fix that NSD replies for configured but unloaded zone
    with SERVFAIL, not REFUSED.

  PR:		207951
  Submitted by:	jaap@NLnetLabs.nl (maintainer)

  Approved by:	ports-secteam (feld@)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/dns/nsd/Makefile
  branches/2016Q1/dns/nsd/distinfo
  branches/2016Q1/dns/nsd/pkg-plist